%global theme zen

Name:          drupal7-theme-%{theme}
Version:       5.6
Release:       1%{?dist}
Summary:       Zen is a powerful, yet simple, HTML5 starting theme

Group:         Applications/Publishing
# Licenses:
# - GPLv2+
#     - Drupal zen theme itself
# - MIT or GPLv2
#     - js/html5.js (bundled)
# - (MIT or GPLv2) and (MIT or BSD)
#     - js/html5-respond.js (bundled)
#     - js/respond.js (bundled)
#
# Added upstream issue http://drupal.org/node/1985332 to address rpmlint
# "incorrect-fsf-address STARTERKIT/sass-extensions/zen-grids/LICENSE.txt"
License:       GPLv2+ and (MIT or GPLv2) and (MIT or BSD)
URL:           http://drupal.org/project/%{theme}
Source0:       http://ftp.drupal.org/files/projects/%{theme}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 5.6)
Requires:      php-pcre

# drupal7-{PROJECT}
Provides:      drupal7-%{theme} = %{version}

# Bundled
## js/html5.js
###     License: MIT or GPLv2
###     Upstream: https://github.com/aFarkas/html5shiv
Provides:      bundled(js-html5shiv) = 3.6.2
## js/respond.js
###     License: (MIT or GPLv2) and (MIT or BSD)
###     Upstream: https://github.com/scottjehl/Respond
Provides:      bundled(js-respond) = 1.1.0
## js/html5-respond.js


%description
Zen is a powerful, yet simple, HTML5 starting theme with a responsive,
mobile-first grid design. If you are building your own standards-compliant
theme, you will find it much easier to start with Zen than to start with
Garland or Stark. This theme has fantastic online documentation
(http://drupal.org/node/193318) and tons of helpful code comments
in its' PHP, HTML, CSS and Sass.


%prep
%setup -q -n %{theme}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/
for README in $(find . -type f -name 'README.txt')
do
    README_DIRNAME=$(dirname $README)
    mkdir -p .rpm/docs/${README_DIRNAME}
    mv $README .rpm/docs/${README_DIRNAME}/
done


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{drupal7_themes}/%{theme}
cp -pr * %{buildroot}%{drupal7_themes}/%{theme}/


%clean
rm -rf %{buildroot}


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_themes}/%{theme}


%changelog
* Sun Aug 07 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 5.6-1
- Updated to 5.6
- Changed license from "GPLv2 and MIT" to "GPLv2+ and (MIT or GPLv2) and (MIT or BSD)"
  per bundled libs
- Added "bundled(*)" virtual provides
- Minor spec cleanup

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 22 2013 Peter Borsa <peter.borsa@gmail.com> - 5.4-1
- Update to upstream 5.4 release for security and bug fixes
- SA-CONTRIB-2013-070 https://drupal.org/node/2071157
- Upstream changelog for this release is available at https://drupal.org/node/2071055

* Thu Aug 08 2013 Peter Borsa <peter.borsa@gmail.com> - 5.3-1
- Update to upstream 5.3 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2054707

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 08 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 5.1-3
- Added drupal7-%%{theme} virtual provide

* Thu May 02 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 5.1-2
- Fixed license

* Thu Mar 28 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 5.1-1
- Initial package
